Themify Basic 2.0.2 を入れたらエラー出たので応急処置をする

2019/5/9 にリリースされた Themify Basic 2.0.2 を入れたらエラーが出たので応急処置をした。それのメモ。

ていうか旧バージョン落とせるようにしてくれよ。

とりあえずのエラーの修正

「basic/themify/themify-builder/themify-builder.php」の以下の色付きの行を修正する。
「Builder_Optin_Services_Container」が見つからないとエラーになっているが原因を探すのがめんどくさいので、「Builder_Optin_Services_Container」を使用しないで空配列を渡してお茶を濁す。
このサイトではどうせBuilderをOFFにしているから影響がない(と思う)。

アイコンの修正

(1) Font Awesome 4.7.0をダウンロードし、展開後に自分のテーマのフォルダに格納する。

(2) 「Themify設定 > 一般 > ヘッダーコード」に以下を追加する。

(3) 「themify-icons」プラグインを使っている場合は以下をヘッダーコードに追加する。

これでとりあえずエラーは消えるしFont Awesomeのぶっ壊れもなおる(CDN使っている場合はキャッシュをクリアすること)。

もーほんと勘弁してよ。一体どんなテストしてんの?あと最初にも書いたけどせめて旧バージョンを落とせるようにしてほしい(有料ユーザは落とせるらしい)。